<html>

<head>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="css/styles.css">

    <script src="js/htmldiff.js" type="text/javascript"></script>
    <link rel="stylesheet" href="css/htmldiff.css">

</head>

<body>
    <a href="index.html">👈 Back</a>
    <h1>Text Tool</h1>
    <div>
    <div style="display:inline-block;">
        <label>Replace:</label><br>
        <textarea id="old" cols="50" rows="1">old</textarea>
    <label>With:</label><br>
        <textarea id="new" cols="50" rows="1">new</textarea>
    </div>
  </div>
    <div>
        <label>text:</label><br>
        <textarea id="text" cols="50" rows="10">
old,
old,

recent,
ancient
    </textarea>
    </div>
    <br><button id="replaceSubstrings">Replace</button>
    <button id="sortAlphabetically">Sort alphabetically</button>
    <button id="deleteEmptyLines">Delete empty lines</button>
    <div id="console"></div>
    <div id="output"></div>
    <script>
        window.onload = function () {
            document.getElementById("replaceSubstrings").addEventListener("click", function () {
                consoleDivLog("")
                replaceSubstrings("old", "new", "text")
            });
            document.getElementById("sortAlphabetically").addEventListener("click", function () {
                consoleDivLog("")
                sortAlphabetically("text")
            })
            document.getElementById("deleteEmptyLines").addEventListener("click", function () {
                consoleDivLog("")
                deleteEmptyLines("text")
            });
        }

        function replaceSubstrings(oldId, newId, textAreaId) {
          const oldSubstring = document.getElementById(oldId).value
          const newSubstring = document.getElementById(newId).value
          var text = document.getElementById(textAreaId).value
          document.getElementById(textAreaId).value = text.replaceAll(oldSubstring, newSubstring)
          var newText = text.replaceAll(oldSubstring, newSubstring)
        //   console.log(oldSubstring)
        //   console.log(newSubstring)
        //   console.log(newText)
        //   console.log(text)
          consoleDivLog(`Replaced "${oldSubstring}" with "${newSubstring}"`)
        }

        function sortAlphabetically(textAreaId) {
            const lines = document.getElementById(textAreaId).value.split("\n");
            document.getElementById(textAreaId).value = lines.sort().join("\n")
            consoleDivLog(`Sorted alphabetically`)
        }

        function deleteEmptyLines(textAreaId) {
          const lines = document.getElementById(textAreaId).value.split("\n");
            document.getElementById(textAreaId).value = lines.filter(x => { return !/^\s*$/.test(x) }).join("\n")
            consoleDivLog(`Deleted whitespace or empty lines`)
        }

        function consoleDivLog(string) {
            document.getElementById("console").innerHTML = string
        }
    </script>
</body>

</html>